Subject: Re: DLL naming conventions
From: "Robert Collins" <[email-masked]>
To: "Charles S. Wilson" <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 1 Sep 2000 10:15:18 +1100

That's what  I meant...
I'm not sure how much of .net is dcom, a.k.a. OLE3...

And unfortuneatly I don't know the build details for a com/ole server (which
is what we'd need in binutils). I believe there is v. little to it though
when you are using in-process servers. The big hooha is creating the class
registration in the registry at install time.

Anyway it's in the discussion pot now..
Rob

----- Original Message -----
From: "Charles S. Wilson" <[email-masked]>
To: "Robert Collins" <[email-masked]>
Cc: <[email-masked]>
Sent: Friday, September 01, 2000 9:51 AM
Subject: Re: DLL naming conventions

> Robert Collins wrote:
> >
> > I'll probably get shouted at for this but...
> > what about using dcom for shared libraries? It's designed to handle
> > versioning issues transparently, load the library from whatever location
> > desired etc.
>
> No, not shouted at. I don't think cygwin-binutils can do "Distributed
> COM (TM microsoft, copyright microsoft blah blah" builds, though, so
> it's not really applicable to this discussion.
>
> Unless you want to add Distributed COM support to ld?
>
> ("Distributed COM" a.k.a. COM+ a.k.a. .NET a.k.a
> Microsoft's-next-marketing-brainstorm is what you mean by 'dcom',
> right?)
>
> --Chuck
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]